summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author G. Galdini2024-03-07 04:26:38 +0100
committer Willy Sudiarto Raharjo2024-03-09 00:18:09 +0100
commit26e548af673322cc55edb79a3d42c45eb28ebfe8 (patch)
tree3e0312558f3c8c2d92d0d52d41b746e3ee1d8918 /office
parentdf038afef05a9de4f463c008ed250cb94ecc7da6 (diff)
downloadslackbuilds-26e548af673322cc55edb79a3d42c45eb28ebfe8.tar.gz
office/sent: Added (Presentation tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/sent/README11
-rw-r--r--office/sent/sent.SlackBuild103
-rw-r--r--office/sent/sent.info10
-rw-r--r--office/sent/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/office/sent/README b/office/sent/README
new file mode 100644
index 0000000000..741f5ef07d
--- /dev/null
+++ b/office/sent/README
@@ -0,0 +1,11 @@
+sent (simple plaintext presentation tool)
+
+sent does not need latex, libreoffice or any other fancy file format, it
+uses plaintext files to describe the slides and can also display images.
+The presentation is displayed in a simple X11 window.
+
+If you wish patches:
+ Create 'patches' directory and add patches files on it. Declare
+ variable PATCHES to yes (PATCHES=yes) before run SlackBuild script.
+
+Optional dependencie: - farbfeld (include images).
diff --git a/office/sent/sent.SlackBuild b/office/sent/sent.SlackBuild
new file mode 100644
index 0000000000..e7a52ad677
--- /dev/null
+++ b/office/sent/sent.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for sent
+
+# Copyright 2024 G. Galdini <dioniso.ecce@gmail.com> Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sent
+VERSION=${VERSION:-1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+# when unpacked - not create folder
+mkdir $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz -C $PRGNAM-$VERSION
+
+cd $PRGNAM-$VERSION
+
+# apply patches if variable PATCHES is 'yes'
+if [ "${PATCHES:-no}" = "yes" ]; then
+ for p in $CWD/patches/*; do
+ patch --verbose -p1 < $p
+ done
+fi
+
+chown -R root:root .
+chmod 644 *
+
+CFLAGS="$SLKCFLAGS" \
+make
+make install \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ DESTDIR=$PKG
+
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/sent/sent.info b/office/sent/sent.info
new file mode 100644
index 0000000000..7daf868289
--- /dev/null
+++ b/office/sent/sent.info
@@ -0,0 +1,10 @@
+PRGNAM="sent"
+VERSION="1"
+HOMEPAGE="https://tools.suckless.org/sent"
+DOWNLOAD="https://dl.suckless.org/tools/sent-1.tar.gz"
+MD5SUM="ad7bd7f9f475826ff6ad00d137a6442c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="G. Galdini"
+EMAIL="dioniso.ecce@gmail.com"
diff --git a/office/sent/slack-desc b/office/sent/slack-desc
new file mode 100644
index 0000000000..9adf5f7e7a
--- /dev/null
+++ b/office/sent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sent: sent (simple plaintext presentation tool)
+sent:
+sent: sent does not need latex, libreoffice or any other fancy file
+sent: format, it uses plaintext files to describe the slides and can
+sent: include images via farbfeld.
+sent: The presentation is displayed in a simple X11 window.
+sent:
+sent: Homepage: https://tools.suckless.org/sent
+sent:
+sent:
+sent: